{$IFNDEF DISABLE_CPU_THROTTLE}
if not cpu_disable then
begin
 check_sync_t:=(GetTickCount xor 50) mod cpu_usage;
 if check_sync_t<150 then
 begin
  if check_sync_t<10 then sleep(25)
  else if check_sync_t<40 then sleep(10)
  else if check_sync_t<80 then sleep(3)
  else sleep(0);
 end;
end;
{$ELSE}
check_sync_t:=0;
{$ENDIF}

